Package org.apache.struts2.tiles

# Class StrutsFreeMarkerAttributeRenderer

java.lang.Object
org.apache.struts2.tiles.StrutsFreeMarkerAttributeRenderer

All Implemented Interfaces:
  `Renderer`

public class StrutsFreeMarkerAttributeRenderer extends Object implements Renderer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsFreeMarkerAttributeRenderer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isRenderable(String path, Request request)`
  Checks if this renderer can render a path.
  `protected ActionContext`
  `readActionContext(Request request)`
  Depending on how Tiles definition was defined, request can an instance of JspRequest (for JSPs) or a ServletRequest (FreeMarker)
  `protected void`
  `registerTilesBeanModel(ActionContext ctx)`
  This register dedicated BeanModel to support tiles tags.
  `void`
  `render(String path, Request request)`
  Renders a path.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrutsFreeMarkerAttributeRenderer

    public StrutsFreeMarkerAttributeRenderer()

- ## Method Details

  - ### render

    public void render(String path, Request request) throws IOException
    Description copied from interface: `Renderer`
    Renders a path.
    Specified by:
      `render` in interface `Renderer`
    Parameters:
      `path` - The path to render.
      `request` - The Tiles request context.
    Throws:
      `IOException` - If something goes wrong during rendition.

  - ### readActionContext

    protected ActionContext readActionContext(Request request)
    Depending on how Tiles definition was defined, request can an instance of JspRequest (for JSPs) or a ServletRequest (FreeMarker)

  - ### isRenderable

    public boolean isRenderable(String path, Request request)
    Description copied from interface: `Renderer`
    Checks if this renderer can render a path. Note that this does not mean it is the best renderer available, but checks only its capability.
    Specified by:
      `isRenderable` in interface `Renderer`
    Parameters:
      `path` - The path to be rendered.
      `request` - The request context.
    Returns:
      `true` if this renderer can render the attribute.

  - ### registerTilesBeanModel

    protected void registerTilesBeanModel(ActionContext ctx)
    This register dedicated BeanModel to support tiles tags. It requires `JspSupportServlet` to be registered in web.xml